
scoreboard players operation #errorcode satb.temp = @s satb_settings
scoreboard players operation @s satb_settings -= #PERSONAL_CONFIG_KEYVALUE satb.constant
scoreboard players operation @s satb_settings *= #-1 satb.constant

scoreboard players operation #personal_hide_saturation satb.temp = @s satb_settings
scoreboard players operation #personal_hide_saturation satb.temp %= #1000 satb.constant
scoreboard players operation #personal_hide_saturation satb.temp /= #100 satb.constant

scoreboard players operation #personal_hide_exhaustion satb.temp = @s satb_settings
scoreboard players operation #personal_hide_exhaustion satb.temp %= #100 satb.constant
scoreboard players operation #personal_hide_exhaustion satb.temp /= #10 satb.constant

scoreboard players operation #personal_hide_toughness satb.temp = @s satb_settings
scoreboard players operation #personal_hide_toughness satb.temp %= #10 satb.constant

data modify storage minecraft:satb temp_save_value set value {}
execute store success storage minecraft:satb temp_save_value.hide_saturation int 1 run execute if score #personal_hide_saturation satb.temp matches 1
execute store success storage minecraft:satb temp_save_value.hide_exhaustion int 1 run execute if score #personal_hide_exhaustion satb.temp matches 1
execute store success storage minecraft:satb temp_save_value.hide_toughness int 1 run execute if score #personal_hide_toughness satb.temp matches 1

# SAVE
execute store result score #saved_successfully satb.temp run function satb:internals/settings/personal/set_settings with storage minecraft:satb temp_save_value
execute unless score #saved_successfully satb.temp matches 2 run tellraw @s {translate:"satb.error.bugmessage",with:[{translate:"satb.error.failedtosavesettings"},{translate:"satb.errorcode",with:[{score:{name:"#DATAPACK_VERSION",objective:"satb.constant"}},{translate:"satb.errorcode.failedtosavesettings",with:[{score:{name:"#errorcode",objective:"satb.temp"}}]}]}],color:"red"}

# CLEAR STUFF
scoreboard players reset #personal_hide_saturation
scoreboard players reset #personal_hide_exhaustion
scoreboard players reset #personal_hide_toughness
scoreboard players reset #saved_successfully
scoreboard players reset #errorcode satb.temp
data remove storage minecraft:satb temp_save_value

scoreboard players reset @s satb_settings
scoreboard players enable @s satb_settings


